﻿using GrapeCity.ActiveReports.Design;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace GrapeCity.ActiveReports.Samples.CreateReport
{
    public partial class ReportViewer : Form
    {
        public ReportViewer()
        {
            InitializeComponent();
        }

        public Object Report
        { get; set; }

        public DesignerReportType ReportType
        { get; set; }


        private void ReportViewer_Load(object sender, EventArgs e)
        {
            switch (ReportType)
            {
                case DesignerReportType.Page:
                    PageReport report1 = Report as PageReport;
                    viewer1.LoadDocument(report1.Document);
                    break;
                case DesignerReportType.Rdl:
                    PageReport report2 = Report as PageReport;
                    viewer1.LoadDocument(report2.Document);
                    break;
                    break;
                case DesignerReportType.Section:
                    SectionReport report3 = Report as SectionReport;
                    viewer1.Document = report3.Document;
                    report3.Run();
                    break;
                default:
                    break;
            }
        }
    }
}
